#
# spec file for package kubecolor
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           kubecolor
Version:        0.5.0
Release:        1.1
Summary:        Colorize your kubectl output
License:        MIT
URL:            https://kubecolor.github.io/
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.23
Requires:       kubernetes-client-provider

%description
A command-line wrapper used to add colors to your kubectl output

%prep
%autosetup

%build
go build \
    -mod=vendor \
    -buildmode=pie \
    -ldflags="-X 'main.Version=%{version}'"

%install
install -Dm755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%license LICENSE
%doc README.md

%changelog
* Fri Mar 21 2025 Johannes Kastl <opensuse_buildservice@ojkastl.de>
- drop golang-packaging and zstd build dependencies
- remove '-s -w' to not disable stripping (this make debuginfo
  unavailable)
* Fri Mar 14 2025 Jan Kužílek <jan.kuzilek@suse.com>
- Initial release
